clear all;
close all;
clc;
%
tau     =   7.44e-3;
B       =   4e6;
fDL     =   32.84e3;
fDM     =   9.37e3;
%
Nsat    =   1;%linspace(1,100,50);
Dtau    =   linspace(1e-3,15e-3);
DtauM   =   linspace(1e-3,20e-3);
%
%
alpha   =   2.^nextpow2(B*tau);
C       =   complexityfnct(alpha,Nsat);
Cmf     =   C.Cmf;
Cms     =   C.Cms;
Cmds    =   C.Cmds;
%
figure;semilogy(Nsat,Cms,'LineWidth',2);
hold on;semilogy(Nsat,Cmds,'LineWidth',2);
semilogy(Nsat,Cmf,'LineWidth',2);
xlabel('Number of satellites');
ylabel('Complexity');
grid;
legend('Multi-Slope','Multi-DualSlope','Multi-Frequency');
set(gca,'FontSize',12);
%
%
alpha   =   2.^nextpow2(B*Dtau);
Nsat    =   1;%50;
C       =   complexityfnct(alpha,Nsat);
Cmf     =   C.Cmf;
Cms     =   C.Cms;
Cmds    =   C.Cmds;
Cdsss   =   ceil(Nsat*Dtau*fDL).*(2*alpha.*log2(alpha)+2*alpha-1);
%
figure;semilogy(Dtau*1e3,Cdsss,'r','LineWidth',2);
hold on;semilogy(Dtau*1e3,Cms,'LineWidth',2);
semilogy(Dtau*1e3,Cmds,'b','LineWidth',2);
semilogy(Dtau*1e3,Cmf,'LineWidth',2);
xlabel('Chirp period (ms)');
ylabel('Complexity');
title('LEO constellation');
grid;
legend('DSSS','Multi-Slope','Multi-DualSlope','Multi-Frequency');
set(gca,'FontSize',12);
%
%
alpha   =   2.^nextpow2(B*DtauM);
Nsat    =   1;%50;
C       =   complexityfnct(alpha,Nsat);
Cmf     =   C.Cmf;
Cms     =   C.Cms;
Cmds    =   C.Cmds;
Cdsss   =   ceil(Nsat*Dtau*fDM).*(2*alpha.*log2(alpha)+2*alpha-1);
%
figure;semilogy(DtauM*1e3,Cdsss,'r','LineWidth',2);
hold on;semilogy(DtauM*1e3,Cms,'LineWidth',2);
hold on;semilogy(DtauM*1e3,Cmds,'b','LineWidth',2);
semilogy(DtauM*1e3,Cmf,'LineWidth',2);
xlabel('Chirp period (ms)');
ylabel('Complexity');
title('MEO constellation');
grid;
legend('DSSS','Multi-Slope','Multi-DualSlope','Multi-Frequency');
set(gca,'FontSize',12);
%
%






