clear all;
close all;
clc;

T       =   [21.3 6.9 4 3;21 6 2 0.55;23.1 6.7 2 0.6]*1e-3;
B       =   [1 4 12]*1e6;
CN0     =   [35 40 45 50];
Nconst  =   100;
%
Nt      =   length(CN0);
Nb      =   length(B);
C       =   nan(Nt,Nb);
%
for jj = 1:Nb
    alpha   =   B(jj)*T(jj,:)/2;
    Ct      =   complexityfnct(alpha,Nconst);
    %
    C(:,jj)     =   Ct.Cmds;
end
%
figure;plot(CN0,C/10^9,'LineWidth',2);
ylabel('Complexity (·1e9)')
xlabel('CN0 (dB-Hz)');
title('Sensitivity (Pd = 0.9 & Pfa = 1e-5)');
grid;
legend('1 MHz','4 MHz','12 MHz');
set(gca,'FontSize',12);