%   v1.0 # 03-oct-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      FreqEstimation    %
%
function    [fdc,fdcn]  =   FreqEstimation(s_dc,s_dcn,Fsamp,M,Deltaf,fMuser,varargin)
% De-chirped signal frequency estimation
%
if( ~isempty(varargin) )        
    zp      =   varargin{1};
else
    zp      =   0;       
end
%
switch fMuser
%%
%-      Multi-Frequency scheme (only 1 de-BOK-chirp)
%
    case 3
        %
        [S,f]       =   findPeaks_MUSIC(s_dc,s_dcn,Fsamp,M,Deltaf(1));
        fdc         =   f.fdc;
        fdcn        =   f.fdcn;
        %
%%
%-      Multi-Slopes schemes (1 de-BOK-chirp per user)
%
    otherwise
        %
         for ii = 1:M
            % 
%%
%-      Multi-DualSlope (2 de-BOK-chirps per user)
%
            if( fMuser == 2 )
                %
                fdc             =   zeros(M,2);
                fdcn            =   zeros(M,2);
                %
                s_dc1       =   s_dc.dc1;
                s_dc2       =   s_dc.dc2;
                s_dcn1      =   s_dcn.dcn1;
                s_dcn2      =   s_dcn.dcn2;
                %
                [S1,f1]     =   findPeaks_FFT(s_dc1(ii,:),s_dcn1(ii,:),Fsamp,Deltaf(end),zp);
                [S2,f2]     =   findPeaks_FFT(s_dc2(ii,:),s_dcn2(ii,:),Fsamp,Deltaf(end),zp);
                %
                fdc(ii,:)   =   [f1.fdc f2.fdc];
                fdcn(ii,:)  =   [f1.fdcn f2.fdcn];
%%
%-      Multi-Slope/BOK-chirp (1 de-BOK-chirps per user)
%
            else
                %
                fdc             =   zeros(M,1);
                fdcn            =   zeros(M,1);
                %
                [S,f]       =   findPeaks_FFT(s_dc(ii,:),s_dcn(ii,:),Fsamp,min(Deltaf));
                fdc(ii)     =   f.fdc;
                fdcn(ii)    =   f.fdcn;
            end
            %
         end
        %
%%
end
%
%%




