%   v1.0 # 9-jun-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-
%
function    [tauh,fDh]  =   ParamEstimation(set,tau,fD,Deltaf,fMuser)
%
%--     INPUTS (TBC)
%
%       B       =   set.sig.B;
%
%--     OUTPUT (TBC)
%
%     tauh
%       fDh
%--

    %- To be used in initParamEstimation
    %
    tau                 =   tau;
    fD                  =   fD;
    %
    Fsamp               =   set.Fs;
    M                   =   set.M;
    B                   =   set.sig.B;
    T                   =   set.sig.Tc;
    mu                  =   set.sig.mu;
    %%
    %--     Initialize parameters
    %
    flgt                =   1;
    initParamEstimation();
    %
    %-  Generate signal with corresponding tau & fD
    %
    tmp                 =   genBOKchirp_MultiUser(set,fMuser);  
    %  
    %-  Initialize de-chirp freqs. & get de-chirped signal (s_dc/n)
    %
    flgt                =   flgt - 1;
    initParamEstimation();
    clear flgt tmp
    %
    %%
    %--     Estimate parameters (tau & fD)
    [fdc,fdcn]      =   FreqEstimation(s_dc,s_dcn,Fsamp,M,Deltaf,fMuser);    
    %
    [tauh,fDh]      =   getParamEstimation(fdc,fdcn,B,T,mu,fMuser);
    %
    %%
    
    
%     T                   =   set.sig.Tc;
%     %
%     if fMuser
%         set.tau         =   tau*ones(M,1);
%     else
%         set.tau             =   tau;
%         set.fD              =   fD;
%     end
%     tmp                 =   genBOKchirp_MultiUser(set,fMuser);
%     if ~fMuser
%         s_dc            =   tmp.dchirp.s_dc;
%         s_dcn           =   tmp.dchirp.s_dcn;   
%         %
%         ss_dc           =   tmp.dchirp.ss_dc;
%     else    % TBC
%         s_dc            =   tmp.MU.r_dc(1,:);
%         s_dcn           =   tmp.MU.r_dcn(1,:);
%     end
    %
%     [fdc,fdcn]          =   findPeaks_MUSIC(s_dc,s_dcn,Fsamp,M,Deltaf); 
%     tauh                =   mod((fdcn - fdc)/2,B)/mu;
%     fDh                 =   mod((fdcn + fdc)/2,B);
%     %
%     Nfft                =   ceil(Fsamp/Deltaf);
%     f0                  =   (Fsamp/2)*linspace(-1,1-(2/Nfft),Nfft);
%     %
%     S                   =   abs(fftshift((1/Nfft)*fft(ss_dc,Nfft)));
%     [~,idx]             =   max(S);
%     tt                  =   mod(-f0(idx)/mu,T);
%     ff                  =   f0(idx);
end