%   v1.0 # 17-may-2020 
%
%   v1.1 # 31-may-2020 
%
%   v2.0 # 09-jun-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Parameter estimation (tau, fD and sk) 
%
function    estimation  =   ParamEstimation_Analysis(set,flg)
%
%--     INPUTS (TBC)
%
%       B       =   set.sig.B;
%
%--     OUTPUT (TBC)
%
%     out.BOK.sig.fkp/n:        Instantaneous frequency of the 
%                               positive/negative (up/down-chirp) component
%
%--
%
    %
    c               =   3e8;
    M               =   set.M;
    Nm              =   length(M);
    if( Nm == 1 )
        mu          =   set.sig.mu;
    end                        
    %
    %-      tau_analysis
    if flg.ftau
        %
        disp('Performing Time-Delay Analysis');
        disp('% ...');
        %
        Ntau        =   set.estimation.Ntau;   
        Dtau        =   set.estimation.Dtau; 
        %
        if( Ntau == 1 )
            tau     =   set.tau;
        else
            tau     =   set.estimation.tau;
        end 
        %
        MU          =   [];
        %
        for jj = 1:Nm
            %
            disp(['> ' num2str(M(jj)) ' users ...']);
            %
            if( Nm == 1 )  
                fD          =   set.fD;
            else
                fD          =   set.fD(1:M(jj));
            end
            set.M           =   M(jj);
            [mu,f0]         =   initSigParams(set.sig.B,set.sig.Tc,set.M,flg.Muser);
            set.sig.mu      =   mu;
            set.sig.f0      =   f0;
            Deltaf          =   mu*(Dtau/c);         
            %
            tauh            =   nan(Ntau,M(jj));
            for ii = 1:Ntau
                %
                if( Ntau ~= 1 && ii < Ntau )
                    disp(['> ' num2str((ii/Ntau)*100) ' % ...']);
                elseif( Ntau ~= 1 && ii == Ntau )
                    disp('> Done!');
                    disp('% ...');
                end
                %
                [tt,~]              =   ParamEstimation(set,tau(ii),fD,Deltaf,flg.Muser);
                tauh(ii,:)   =   tt;
            end
            MU(jj).tauh     =   tauh;
        end
    end
    %
    %-      fD_analysis
    if flg.fDopp
        %
        disp('Performing Doppler Analysis');
        disp('% ...');
        %
        NDopp       =   set.estimation.NDopp;
        Df          =   set.estimation.Df;
        %
        fDh         =   nan(NDopp,1);
        if( NDopp   ==  1 )
            fD      =   set.fD;
        else
            fD      =   set.estimation.fD;
        end
        %
        for ii = 1:NDopp
            %
            if( NDopp ~= 1 && ii < NDopp )
                disp(['> ' num2str((ii/NDopp)*100) ' % ...']);
            elseif( NDopp ~= 1 && ii == NDopp )
                disp('> Done!');
                disp('% ...');
            end
            %
            [~,ff]      =   ParamEstimation(set,0,fD(ii),Df,flg.Muser);
            fDh(ii)     =   ff;
%             fDhp(ii)    =   fp;
        end
    end    
    %
    %-      Save Results
    if flg.ftau
%         if
        estimation.tauh          =   MU;
    end
    if flg.fDopp
        estimation.fDh         =   fDh;
    end
    %
end