%   v1.0 # 17-may-2020 
%
%   v2.0 # 31-may-2020 
%
%   v3.0 # 03-oct-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      find maximum peak in the FFT
%
function    [SS,f]  =   findPeaks_FFT(s_dc,s_dcn,B,Deltaf,varargin)
%
%--     INPUTS (TBC)
%
%       B       =   set.sig.B;
%
%--     OUTPUT (TBC)
%
%     out.BOK.sig.fkp/n:        Instantaneous frequency of the 
%                               positive/negative (up/down-chirp) component
%
%--
%
if( ~isempty(varargin) )
    zp      =   varargin{1};
else
    zp      =   0;
end
%
if( Deltaf == 0 )
    Nfft    =   2^(nextpow2(length(s_dc)) + zp);
else
    Nfft    =   ceil(B/Deltaf);
end
f0          =   (B/2)*linspace(-1,1-(2/Nfft),Nfft);
%
S           =   abs(fftshift(fft(s_dc,Nfft)));
Sn          =   abs(fftshift(fft(s_dcn,Nfft)));
%
[~,idx]     =   max(S);
[~,idxn]    =   max(Sn);
fdc         =   f0(idx);
fdcn        =   f0(idxn);
%
%
SS.S         =   S;
SS.Sn        =   Sn;
f.fdc       =   fdc;
f.fdcn      =   fdcn;
%
    











end