clear all;
% close all;
clc;

    Rc      =   1*1e6;      %   Frecuencia de chip
    Npt     =   10;                     % N?mero de CN0 a simular
    CN0     =   linspace(35,80,Npt);    % CN0 (dB)
    T       =   1e-3;                   % Tiempo de integraci?n
    BWa      =   5e6;                  % Ancho de banda bajo analisis
    %
    %-  Generaci?n de se?al
    Na      =   ceil((1/Rc)*BWa);
    sna     =   ones(Na,1);
%     Fs      =   BW;
    %
    %-  Computo de CRLB
    CN0l    =   10.^(CN0/10);
    BWrmsa  =   getBWrms(sna,BWa);
    %
    CRLBa   =   1./(T*CN0l*BWrmsa);
    CRLBcss =   6./((2*pi)^2*CN0l*Rc^2*T);
    %
    %-  Dibuja CRLB
    figure;plot(CN0,sqrt(CRLBa)*3e8,'LineWidth',2);
    hold on;plot(CN0,sqrt(CRLBcss)*3e8,'LineWidth',2);
    grid on;
    xlabel('CN0 (dB-Hz)')
    ylabel('CRLB (m)','FontSize',12)
    title('Precisi?n en la medida del retardo');
    set(gca,'FontSize',12)
  