close all;
clear all;
clc;

Npt     =   10;
T       =   [21.3 6.9 4 3;21 6 2 0.55;23.1 6.7 2 0.6]*1e-3;
B       =   [1 4 12]*1e6;
CN0     =   [35 40 45 50];
MUI     =   [0.96 0.74 1.06 0.5;1.02 0.62 0.35 0.19; ...
            0.71 0.35 0.45 0.16];
%
flg1    =   0;
flg2    =   0;
flg3    =   1;
%
CN0l    =   10.^(CN0/10);
MUIl    =   10.^(MUI./10);
CN0m    =   CN0l./MUIl;
%
Nt      =   size(T,2);
Nb      =   length(B);
Nc      =   length(CN0);
%
CRLB    =   nan(Nt,Nb);
CRLBt   =   nan(Nt,Nb);
CRLBm   =   nan(Nt,Nb);
%
for ii = 1:Nb
    CRLB(:,ii)   =   6./(CN0l.*((B(ii).^2)*T(ii,:))*(2*pi)^2);
    CRLBm(:,ii)  =   6./(CN0m(ii,:).*((B(ii).^2)*T(ii,:))*(2*pi)^2);
    CRLBt(:,ii)  =   getCDMACRLB(B(ii),T(ii,:),CN0); 
end
%
if flg1
    figure;plot(B*T/1e6,(1e2)*(abs(sqrt(CRLB)-sqrt(CRLBt)))*3e8,'LineWidth',2);
    xlabel('B·T_c (MSamples)');
    ylabel('RMSE (cm)');
    title('Error difference (BOK-chirp vs CDMA)');
    grid;
    set(gca,'FontSize',12);
end
%
if flg2
    figure;plot(B*T/1e6,(1e2)*(sqrt(CRLB))*3e8,'LineWidth',2);
    hold on;plot(B*T/1e6,(1e2)*(sqrt(CRLBt))*3e8,'LineWidth',2);
    xlabel('B·T_c (MSamples)');
    ylabel('RMSE (cm)');
    legend('BOK-chirp','CDMA');
    grid;
    set(gca,'FontSize',12);
end
%
 if flg3
    plot(CN0,(sqrt(CRLBm))*3e8,'LineWidth',2);
    hold on;
    plot(CN0,(sqrt(CRLB))*3e8,'--','LineWidth',2);
    xlabel('CN0');
    ylabel('RMSE (m)');
%         legend('BOK-chirp','CDMA');
    grid;
    set(gca,'FontSize',12);
end







