%   v1.0 # 10-jun-2021
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      RMSE analysis  
%
function    [tauv,fDv]  =   RMSE_Analysis_fnct(set,out,flg)
%
    % ->    Inti params
    %
    B       =   set.sig.B;
    T       =   set.sig.Tc;
    M       =   set.M;
    Mvis    =   set.Mvis;
    mu      =   set.sig.mu;
    %
%     Nc      =   set.samp.Nc;
    CN0     =   set.estimation.CN0;
    R       =   set.estimation.R;
    const   =   set.estimation.const;
%     acq     =   set.estimation.acq;
    acq     =   0;
    zp      =   set.estimation.zpfact;
    %
    if const
        Mtmp    =   M;
    else
        Mtmp    =   1;
    end
    %
    N       =   ceil(B*T);
    fgen    =   1;
    flg.fsens   =   0;
    initParams_NoiseAnalysis;         
%     Nfft            =   2^(nextpow2(N));
    %
    %
    %-
    
    % ->    RMSE analysis
    %
    tauv    =   nan(Mtmp,1);
    fDv     =   nan(Mtmp,1);
    perc    =   1;
    for ii = 1:Mtmp    % -> Each sat. in constellation
        %
        if const
            idsat1  =   ii;
        else
            idsat1  =   1;%ceil(M/2) + 1;
        end
        ck_dc.dc1   =   dchirp.ck_dc1(idsat1,:);
        ck_dc.dc2   =   dchirp.ck_dc2(idsat1,:);
        ck_dc.dcn1  =   dchirp.ck_dcn1(idsat1,:);
        ck_dc.dcn2  =   dchirp.ck_dcn2(idsat1,:); 
        %
        taue        =   nan(R,1);
        fDe         =   nan(R,1);
        for kk = 1:R
            %
            %-
            if( M == Mvis )
                idsat = 1:M;
                idsat   =   idsat(idsat ~= ii);
            else
                idsat   =   randperm(M,Mvis-1);
                while( ~isempty(find(idsat == idsat1,1)) || ~isempty(find(idsat == (M-idsat1+2),1)) || ~isempty(find(idsat == 1,1)) )
                    idsat   =   randperm(M,Mvis-1);
                end
            end
            %-
            
            %-
            Cr      =   sum(Ck([idsat1 idsat],:),1);
            Prx     =   (Cr*Cr')/length(Cr);
            Cr      =   sqrt(Mvis*Ps/(2*Prx))*Cr;
            %-
            
            %-
            w           =   (sqrt(Pn/2))*(randn(1,N) + 1j*randn(1,N));
            r           =   Cr + w;
            [taut,fDt]  =   getParamEstimation_fnct(r,ck_dc,B,T,mu(idsat1,:),flg.Muser,zp);
            taue(kk)    =   taut;
            fDe(kk)     =   fDt;  
            %
            if ~const
                if( (kk/R)*100 >= 10*perc )
                    disp(['> ' num2str(10*perc) ' % ...']);
                    perc    =   perc + 1;
                elseif( kk == R )
                    disp('> Done!');
                    disp('% ...');
                end
            end
            %
        end  
        if acq
            idx     =   abs(taue) < set.estimation.th; % for B = 5e6 % 4.5e-8;% for B = 20e6 % 
            taue    =   taue(idx);
            fDe     =   fDe(idx);
        end
        tauv(ii)        =   var(taue);
        fDv(ii)         =   var(fDe);
        %
        if const
            if( (ii/M)*100 >= 10*perc )
                disp(['> ' num2str(10*perc) ' % ...']);
                perc    =   perc + 1;
            elseif( ii == M )
                disp('> Done!');
                disp('% ...');
            end
        end
        %
        
    end
    %







%
end