%   v1.0 # 19-nov-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Pd analysis  
%
function [Pd,Pr,tmp]     =   Pd_Analysis(Nnc,B,CN0,R,sett,flg,ffit,h,Mvis)
%
    
    %
    M       =   sett.M;
    N       =   sett.samp.Ns;
    Ncoh    =   N/Nnc;
    Nfft    =   2^(nextpow2(N));%ceil(B/Deltaf);
    %
  
    %
    Pr      =   zeros(R,1);
    perc    =   1;
    St      =   0;
    %
    for ii = 1:R
        %
        idsat       =   randperm(M/2,Mvis);
        sett.idsat  =   idsat;
        out         =   genBOKchirp_MultiUser(sett,flg);
        initParams_NoiseAnalysis; 
        %
%         idsat1      =   idsat(1);
        ck_dc.dc1  =   dchirp.ck_dc1(1,:);
        ck_dc.dc2  =   dchirp.ck_dc2(1,:);
        ck_dc.dcn1 =   dchirp.ck_dcn1(1,:);
        ck_dc.dcn2 =   dchirp.ck_dcn2(1,:); 
        %
        Cr      =   sum(Ck,1);
        Prx     =   (Cr*Cr')/length(Cr);
        Cr      =   sqrt(Mvis*Ps/Prx)*Cr;
        %
        if( (ii/R)*100 >= 10*perc )
            disp(['> ' num2str(10*perc) ' % ...']);
            perc    =   perc + 1;
        elseif( ii == R )
            disp('> Done!');
            disp('% ...');
        end
        %         
        w       =   (sqrt(Pn/2))*(randn(1,N) + 1j*randn(1,N));
        r       =   Cr + w;
        %
        [Prt,S1,~]  =   acqCSS(r,ck_dc,Nnc,Ncoh,B,2); 
        Pr(ii)      =   Prt;
        %
        %
        St      =   St + S1.S.^2;
        %
    end
    %
%     tp          =   ((S1.S.^2) + (S2.S.^2))/(2*Nfft);
%     tn          =   ((S1.Sn.^2) + (S2.Sn.^2))/(2*Nfft);
%     tt          =   (tp + tn); 
    %
    Pd          =   sum(Pr >= h)/R; 
    %
    warning('off','all');
    tmp         =   fitdist(Pr,'GeneralizedExtremeValue');
    warning('on','all');
    %
    if( ffit )
        hold on;
        plot(St/(Nfft*R));   
        legend('7 users (interferences)','1 user + 7 users (interferences)');        
        %
        ttt         =   figure;
        th          =   histogram(Pr,100,'Visible','off');
        
        pdf_hist    =   th.Values/sum(th.Values);
        b           =   th.BinEdges(2:end);    
        df          =   b(2)-b(1);
        close(ttt);
        %
        pdf_sa      =   df*gevpdf(b,tmp.k,tmp.sigma,tmp.mu);
        %
        figure;bar(b,pdf_hist);
        hold on;plot(b,pdf_sa,'LineWidth',2);
        xlabel('X_n');
        ylabel('pdf');
        title(['H_1 @ [B,Tc,CN0] = [' num2str(B/1e6) ' MHz,' num2str(N/B*1e3) ' ms,' num2str(10*log10((Ps/Pn)*B)) ' dBHz]']);
        legend('Experimental','Semi-Analytical');
        grid
        %
        figure;semilogy(h,Pd,'LineWidth',2);
        hold on;semilogy(h,1-cdf('Generalized Extreme Value',h,tmp.k,tmp.sigma,tmp.mu),'--','LineWidth',2);
        xlabel('Detection Threshold');
        ylabel('Prob. Detection');
        legend('Experimental','Semi-Analytical');
        title(['[B,Tc,CN0] = [' num2str(B/1e6) ' MHz,' num2str(N/B*1e3) ' ms,' num2str(10*log10((Ps/Pn)*B)) ' dBHz]']);
        grid
    end
         
    

end