%   v1.0 # 19-nov-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Pfa analysis  
%
function [Pr,Pfa,h,tmp]     =   Pfa_Analysis(Nnc,B,CN0,R,sett,flg,ffit,Mvis)
%
    
    %
    M       =   sett.M;
    N       =   sett.samp.Ns;
    Ncoh    =   N/Nnc;
    Nfft    =   2^(nextpow2(N));
    %
    
    %
          
    %
    Pr      =   zeros(R,1);
    perc    =   1;
    St      =   0;
    for ii = 1:R
        %
        idsat       =   randperm(M/2,Mvis).';
        sett.idsat  =   idsat;
        out         =   genBOKchirp_MultiUser(sett,flg);
        initParams_NoiseAnalysis; 
        %
        ck_dc.dc1  =   dchirp.ck_dc1(1,:);
        ck_dc.dc2  =   dchirp.ck_dc2(1,:);
        ck_dc.dcn1 =   dchirp.ck_dcn1(1,:);
        ck_dc.dcn2 =   dchirp.ck_dcn2(1,:); 
        %
        Cr      =   sum(Ck(2:end,:),1);
        Prx     =   (Cr*Cr')/length(Cr);
        Cr      =   sqrt((Mvis-1)*Ps/Prx)*Cr;
        %
        if( (ii/R)*100 >= 10*perc )
            disp(['> ' num2str(10*perc) ' % ...']);
            perc    =   perc + 1;
        elseif( ii == R )
            disp('> Done!');
            disp('% ...');
        end
        %            
        w           =   (sqrt(Pn/2))*(randn(1,N) + 1j*randn(1,N));
        r           =   Cr + w;
        %
        [Prt,S1,~]  =   acqCSS(r,ck_dc,Nnc,Ncoh,B,2); 
        Pr(ii)      =   Prt;
        %
        St          =   St + S1.S.^2;
        %
%         figure(31);
%         plot(S1.S.^2);
%         hold on;
%         Pp              =   ((S1.S.^2) + (S2.S.^2))/(2*Nfft);
%         Pnn             =   ((S1.Sn.^2) + (S2.Sn.^2))/(2*Nfft);
%         init            =   (ii-1)*Nfft + 1;
%         fin             =   ii*Nfft;
%         Pr(init:fin)    =   (Pp + Pnn);
    end
    %
    m       =   mean(Pr);
    s       =   std(Pr);
    h       =   linspace(m-2*s,m+5*s,100);
    Nh      =   length(h);
    Pfa     =   zeros(Nh,1);
    for ii = 1:Nh
        Pfa(ii)     =   sum(Pr >= h(ii))/length(Pr);
    end
    %
    warning('off','all');
    tmp     =   fitdist(Pr,'GeneralizedExtremeValue');
    warning('on','all');
    Pfat    =   1 - cdf('Generalized Extreme Value',h,tmp.k,tmp.sigma,tmp.mu);
    %
    if( ffit )
        figure;semilogy(h,Pfa);
        hold on;semilogy(h,Pfat,'--');
        xlabel('Detection Threshold');
        ylabel('Prob. False Alarm');
        legend('Experimental','Semi-Analytical');
        title(['[B,Tc,CN0] = [' num2str(B/1e6) ' MHz,' num2str(N/B*1e3) ' ms,' num2str(10*log10((Ps/Pn)*B)) ' dBHz]']);
        grid
        %
        ttt         =   figure;
        th          =   histogram(Pr,100,'Visible','off');
        
        pdf_hist    =   th.Values/sum(th.Values);
        b           =   th.BinEdges(2:end);    
        df          =   b(2)-b(1);
        close(ttt);
        %
        %
        pdf_sa      =   df*gevpdf(b,tmp.k,tmp.sigma,tmp.mu);
        %
        figure;bar(b,pdf_hist);
        hold on;plot(b,pdf_sa,'LineWidth',2);
        xlabel('X_n');
        ylabel('pdf');
        title(['H_0 @ [B,Tc,CN0] = [' num2str(B/1e6) ' MHz,' num2str(N/B*1e3) ' ms,' num2str(10*log10((Ps/Pn)*B)) ' dBHz]']);
        legend('Experimental','Semi-Analytical');
        grid
        %
        %
        figure;plot(St/(Nfft*R));
        xlabel('Freq. index');
        ylabel('Power Spectral Density');
        title(['Up-chirp 1st de-chirp with noise @ [B,Tc,CN0] = [' num2str(B/1e6) ' MHz,' num2str(N/B*1e3) ' ms,' num2str(10*log10((Ps/Pn)*B)) ' dBHz]']);
        grid
    end
%     figure;plot(Pr(init:fin));
    







end