% initTDAnalysisParams()
%
%   Description:
%       Initialization of spceific time-delay estimation parameters.
%   
%   Inputs:
%       set     =   Structure with setting parameters (see setParams.m)
%
%       flg     =   Structure with flag options (see setParams.m)
%
%   Outputs:
%       Time-Delay estimation parameters
%
%---------------------------------------------------------------------------------------------------- 
%   @version    $2.0$
%   @date       $6-jul-2021$ $05-oct-2020$
%   @author     SPCOMNAV-UAB: Daniel Egea Roca (daniel.egea@uab.es) 
%---------------------------------------------------------------------------------------------------- 
Ntau        =   set.estimation.Ntau;
%
if( flg.fsens || flg.frmse )
    if(flg.Muser == 0 )
        tau     =   set.tau;
    else
        tau     =   taumax*rand(M(1),1);
    end    
else
    tau         =   set.tau;
end
%
if( Ntau > 1 )
    taue    =   linspace(0,Tc,Ntau);
end
%%
%