% initfDAnalysisParams()
%
%   Description:
%       Initialization of spceific freq. Doppler estimation parameters.
%   
%   Inputs:
%       set     =   Structure with setting parameters (see setParams.m)
%
%       flg     =   Structure with flag options (see setParams.m)
%
%   Outputs:
%       Freq. Doppler estimation parameters
%
%---------------------------------------------------------------------------------------------------- 
%   @version    $2.0$
%   @date       $6-jul-2021$ $05-oct-2020$
%   @author     SPCOMNAV-UAB: Daniel Egea Roca (daniel.egea@uab.es) 
%----------------------------------------------------------------------------------------------------
NDopp       =   set.estimation.NDopp;
%
if( flg.fsens || flg.snr )
    if(flg.Muser == 0 )
        fD     =   set.fD;
    else
        fD     =   fDmax*rand(M(1),1);
    end    
else
    fD         =   set.fD;
end
%
if( NDopp > 1 )
    fDe     =   linspace(0,B,NDopp);
end
%%
%