%   v1.0 # 19-apr-2020 
%
%   v1.1 # 9-may-2020 
%
%   v2.0 # 10-jun-2020
%
%   v2.1 # 12-jun-2021
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Plot results      %
%
function    plotResults(out,sett,flg)

    %- Plot signal generation results
    %
    if flg.plot.fsig
         plotResults_waveform(out,sett,flg);
    end
    %
    %-
    global lora;
    %-  Plot dechirp results
    %
    if flg.plot.fdchirp
        %
        if flg.plot.dchirp.spect
            disp('* De-Chirp Spectrum');
            plotResults_dchirpSpect(out.BOK,sett,flg.Muser);
        end
        %
%         if flg.plot.dchirp.freq
%             %
%             disp('%');
%             disp('* De-Chirp Freqs.');
%             plotResults_dchirpFreq(out.BOK,sett,flg.Muser);            
%         end
    end
    %
    %-
    
    %-  Plot Parameter Estimation Analysis
    %
    if( flg.plot.fest && (flg.ftau || flg.fDopp) )
        disp('%');
        disp('* Parameter Estimation Analysis:');
        if( flg.Muser   == 0 )
            plotResults_ParamEstimation(out,sett,flg);
        else
            plotResults_chirpduration(out,sett)
        end
    end
    %
    %-
    
    %-  Plot CN0 analysis
    %
%     if flg.plot.fsnr
%         %
%         disp('%');
%         disp('* SNR Analysis:');
%         plots_SNR;
% %             plotResults_SNRAnalysis(out.SNR,set.estimation.SNR,flg);
%     end
    %
    %-
    
    %-  Plot Sensitivity_Analysis
    %
    if flg.plot.fsens
        %
        disp('%');
        disp('* Sensitivity Analysis:');
        plotResults_SensitivityAnalysis(out,sett);
        %        
    end
    %
    %-
    
    %-  Plot MUI Analysis
    %
    if flg.plot.fmui
        %
        disp('%');
        disp('* Multi-User Interference Analysis:');
        plotResults_MUIAnalysis(out,sett,flg.fsens);
        %
    end    
    %
    %-
    
    %-  Plot RMSE Analysis
    %
    if flg.plot.frmse
        %
        disp('%');
        disp('* Accuracy Analysis:');
        plotResults_RMSEAnalysis(out,sett,flg);
        %
    end
    %-
    
    %-
    %
    if flg.plot.fcomplex
        %
        disp('%');
        disp('* Complexity Analysis:');
        plotResults_ComplexityAnalysis(out,sett,flg);
        %
    end
    %
    if lora == 1
        disp('%');
        disp('* BER Analysis:');
        plotResults_BERLORA(out,sett,flg);
        %-
        disp('%');
    end


end