function    plotResults_MUIAnalysis(out,sett,fsens)
%
    %
    if fsens
        CN0     =   sett.sens.CN0;
        if( sett.sens.opt == 2 )
            Tc  =   out.sens.Tcopt.Tc;
        else
            Tc  =   sett.sig.Tc;
        end
    else
        Tc  =   sett.sig.Tc;
    end
    B       =   sett.sig.B;
    M       =   sett.M;
    Mv      =   sett.Mvis;
    %    
    NB      =   sett.samp.NB;
    NTc     =   length(Tc);
    Nm      =   length(M);
    Nv      =   length(Mv);
    %
    MUIm    =   out.MUI.min;
    MUIma   =   out.MUI.max;
    MUIavg  =   out.MUI.avg;
    %
    flgsize =   length(size(MUIavg)) > 2;
    % ->    Figure 1
    %
    if( flgsize )
        MUIt    =   reshape(MUIavg(:,:,1,2),NTc,NB);
        MUImt   =   reshape(MUIm(:,:,1,2),NTc,NB);
        MUImat  =   reshape(MUIma(:,:,1,2),NTc,NB);
        Tct     =   Tc(:,:,1,2);
        Mt      =   M(1);
        Mvt     =   Mv(2);
    else
        MUIt    =   MUIavg;
        MUImt   =   MUIm;
        MUImat  =   MUIma;
        Tct     =   Tc;
        Mt      =   M;
        Mvt     =   Mv;
    end
    if ~fsens
        figure;plot(Tc*1e3,10*log10(MUIt),'LineWidth',2);
        for ii = 1:NB
            str{ii}     =   ['B = ' num2str(B(ii)/1e6) ' MHz'];
        end
    else
        for ii = 1:NB
            str{ii}     =   ['B = ' num2str(B(ii)/1e6) ' MHz'];
            if( ii == 1 )
                hh  =   figure;
            else
                figure(hh)
            end
            plot(Tct(ii,:)*1e3,10*log10(MUIt(:,ii)),'LineWidth',2);
            hold on;
        end
    end   
    legend(str);
    xlabel('Chirp period (ms)');
    ylabel('MUI (dBs)');
    title(['Averaged MUI for Nsat = ' num2str(Mt) ' and Nvis = ' num2str(Mvt)]);
    grid;
    set(gca,'fontsize',12);
    if fsens
        figure;plot(CN0,10*log10(MUIt),'LineWidth',2);
        legend(str);
        xlabel('CN0 (dB-Hz)');
        ylabel('MUI (dBs)');
        title(['Averaged MUI for Nsat = ' num2str(Mt) ' and Nvis = ' num2str(Mvt)]);
        grid;
        set(gca,'fontsize',12);
        %
        MUIm    =   MUImt;
        MUIma   =   MUImat;
        figure;plot(CN0,10*log10(MUIt(:,1)),'LineWidth',2);
        hold on;plot(CN0,10*log10(MUIm(:,1)),'--','LineWidth',2);
        plot(CN0,10*log10(MUIma(:,1)),'--','LineWidth',2);
        legend('Avg','Min','Max');
        xlabel('CN0 (dB-Hz)');
        ylabel('MUI (dBs)');
        title(['Nsat = ' num2str(Mt) ' , Nv = ' num2str(Mvt) ', B = ' ...
                num2str(B(1)/1e6) ' MHz']);
        grid;
        set(gca,'fontsize',12);
        
        figure;plot(CN0,10*log10(MUIt(:,end)),'LineWidth',2);
        hold on;plot(CN0,10*log10(MUIm(:,end)),'--','LineWidth',2);
        plot(CN0,10*log10(MUIma(:,end)),'--','LineWidth',2);
        legend('Avg','Min','Max');   
        xlabel('CN0 (dB-Hz)');
        ylabel('MUI (dBs)');
        title(['Nsat = ' num2str(Mt) ' , Nvis = ' num2str(Mvt) ', B = ' ...
                num2str(B(end)/1e6) ' MHz']);
        grid;
        set(gca,'fontsize',12);
        %
    end
    %
    % ->    Figure 2
    %
    if( Nm > 1 || Nv > 1 )
        MUIt    =   reshape(MUIavg(1,1,:,:),Nm,Nv).';
        figure;plot(Mv,10*log10(MUIt),'LineWidth',2);
        for ii = 1:Nm
            str{ii}     =   ['Nsat = ' num2str(M(ii))];
        end
        legend(str);
        xlabel('Visible satellites');
        ylabel('MUI (dBs)');
        title(['Averaged MUI for Tc = ' num2str(Tc(1)*1e3) ' ms and B = ' num2str(B(1)/1e6) ' MHz']);
        grid;
        set(gca,'fontsize',12);
    end
    %








%
end