%   v1.0 # 10-jun-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Plot ParameterEstimation Results
%
%
%   out:
%   set:
%   flg:    All flags
%
function    plotResults_ParamEstimation(out,set,flg)   
    %
    if flg.ftau
        disp('** Time-Delay');
        tau         =   set.estimation.tau.';
        tauh        =   out.estimation.tauh.tauh;
        %
        figure;plot(tau*1e6,tauh*1e6,'LineWidth',2);
        xlabel('Simulated \tau (\mus)');
        ylabel('Estimated \tau (\mus)');
        title('Time-Delay estimation (w/o noise)');
        grid
        %
        figure;plot(abs(tau-tauh)*3e8,'LineWidth',2);
        xlabel('Realization');
        ylabel('Estimation error in meters (|\tau - \hat\tau|)');
        title('Time-Delay estimation (w/o noise)');
        grid
        ylim([0 60]);
        %
    end
    %
    if flg.fDopp
        disp('** Freq. Doppler');
        fD          =   set.estimation.fD.';
        fDh         =   out.estimation.fDh;
        %
        figure;plot(fD/1e3,fDh/1e3,'LineWidth',2);
        xlabel('Simulated f_D (kHz)');
        ylabel('Estimated f_D (kHz)');
        title('Freq. Doppler estimation (w/o noise)');
        grid
        %
        figure;plot(abs(fD-fDh),'LineWidth',2);
        xlabel('Realization');
        ylabel('Estimation error in Hz (|f_D- f_D|)');
        title('Freq. Doppler estimation (w/o noise)');
        grid
%         ylim([0 20]);
        %
        
    end    
    %
    
end