function    plotResults_RMSEAnalysis(out,sett,flg)
%

    %
    fsens       =   flg.fsens;
    fMUI        =   flg.fMUI;
    fsim        =   sett.estimation.fsim;
    if fsens
        CN0     =   sett.sens.CN0;
        if( sett.sens.opt == 2 )
            Tc  =   out.sens.Tcopt.Tc;
        else
            Tc  =   sett.sig.Tc;
        end
    else
        Tc      =   sett.sig.Tc;
        CN0     =   sett.estimation.CN0;
    end
    B       =   sett.sig.B;
    M       =   sett.M;
    Mv      =   sett.Mvis;
    %    
    NB      =   sett.samp.NB;
    Nc      =   length(CN0);
    NTc     =   length(Tc);
    Nm      =   length(M);
    Nv      =   length(Mv);
    %
    RMSE_tau    =   out.RMSE.tau;
    CRLB    =   out.RMSE.CRLBavg;   
    CRLBmi  =   out.RMSE.CRLBmi;
    CRLBma  =   out.RMSE.CRLBma;
    %
    
    % ->    Figure 1 (Given Tc)
    %
    if fsens
        CRLBt       =   reshape(CRLB,NB,Nc).';
        CRLBmt      =   reshape(CRLBmi,NB,Nc).';
        CRLBmat     =   reshape(CRLBma,NB,Nc).';
        %        
        figure;plot(CN0,sqrt(CRLBt)*3e8,'linewidth',2);
        hold on;plot(CN0,sqrt(CRLBmat)*3e8,'k--','linewidth',2);
        for ii = 1:NB
            str{ii}     =   ['B = ' num2str(B(ii)/1e6) ' MHz'];
        end
        str{ii+1}   =   'CRLB\_Max';
        legend(str);
        xlabel('CN0 (dB-Hz)');
        ylabel('Avg RMSE (m)');
        title('Accuracy analysis linked with Sensitivity');
        grid;
        set(gca,'fontsize',12);
        %
        
    else
        RMSEt       =   reshape(RMSE_tau(1,:,:),NB,Nc).';
        CRLBt       =   reshape(CRLB(1,:,:),NB,Nc).';
        CRLBmt      =   reshape(CRLBmi(1,:,:),NB,Nc).';
        CRLBmat     =   reshape(CRLBma(1,:,:),NB,Nc).';
        %
        for ii = 1:NB
            if( ii == 1 )
                hh  =   figure;
                hold on;
            else
                figure(hh);
            end
            if fsim
                plot(CN0,sqrt(RMSEt(:,ii))*3e8,'LineWidth',2);
            end
            hold on;plot(CN0,sqrt(CRLBt(:,ii))*3e8,'k','LineWidth',2)
            if fMUI
                hold on;plot(CN0,sqrt(CRLBmt(:,ii))*3e8,'b--','LineWidth',2)
                hold on;plot(CN0,sqrt(CRLBmat(:,ii))*3e8,'r--','LineWidth',2)
            end
        end
        if fsim
            legend('Simulated','CRLB','Min','Max');
        else
            legend('Avg','Min','Max');
        end
        xlabel('CN0 (dB-Hz)');
        ylabel('RMSE (m)');
        title(['Accuracy for Tc = ' num2str(Tc(1)*1e3) ' ms']);
        grid;
        set(gca,'fontsize',12);
        %
    end



%
end