%   v1.0 # 10-jun-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Plot SNR Analysis Results
%
%
%   out:    out.SNR
%   set:
%   flg:    All flags
%
function    plotResults_SNRAnalysis(out,set,flg)   
    
    %
    c               =   3e8;        %   Speed of light
    SNR             =   set;
    %
    if flg.ftau
        %
        disp('** Time-Delay');
        %
        CRLB        =   out.tau.CRLB;
        CRLBp       =   out.tau.CRLBp;
        m           =   out.tau.m;
        v           =   out.tau.v;
        b           =   out.tau.b;
        e           =   out.tau.e;
        %
        figure;plot(SNR,b*c,'LineWidth',2);
        xlabel('SNR (dB)');
        ylabel('Bias (m)');
        title('Time-Delay estimation');
        grid
        %
        figure;plot(SNR,sqrt(CRLB)*c,'LineWidth',2);
        hold on;plot(SNR,sqrt(CRLBp)*c,'LineWidth',2);
        plot(SNR,sqrt(v)*c,'LineWidth',2);
        plot(SNR,sqrt(e)*c,'LineWidth',2);
        xlabel('SNR (dB)');
        ylabel('Estimation error (m)');
        title('Time-Delay estimation');
        legend('RCRLB','RCRLB (Up-Chirp)','Std.','RMSE');
        grid
        %        
    end
    %
    if flg.fDopp  
        %
        disp('** Freq. Doppler');
        %
        CRLB        =   out.fD.CRLB;
        m           =   out.fD.m;
        v           =   out.fD.v;
        b           =   out.fD.b;
        e           =   out.fD.e;
        %
        figure;plot(SNR,b,'LineWidth',2);
        xlabel('SNR (dB)');
        ylabel('Bias (Hz)');
        title('Doppler estimation');
        grid
        %
        figure;plot(SNR,sqrt(CRLB),'LineWidth',2);
        hold on;plot(SNR,sqrt(v),'LineWidth',2);
        plot(SNR,sqrt(e),'LineWidth',2);
        xlabel('SNR (dB)');
        ylabel('Estimation error (Hz)');
        title('Doppler estimation');
        legend('RCRLB','Std.','RMSE');
        grid
        %
    
    end    
    %
    
end