function    plotResults_SensitivityAnalysis(out,sett)

    switch sett.sens.opt
        case 1
            NTc     =   size(out.sens.CN0opt.CN0,1);
            NB      =   size(out.sens.CN0opt.CN0,2);
            Nk1      =   size(out.sens.CN0opt.CN0,3);
            Nk2      =   size(out.sens.CN0opt.CN0,4);
            %
            %--     For given B: CN0_vs_Mvis for different Tc and Nsat
            for ii = 1:NB
                figure;hold on;
                for jj = 1:NTc
                    CN0     =   reshape(out.sens.CN0opt.CN0(jj,ii,:,:),Nk1,Nk2);
                    plot(sett.Mvis,CN0,'LineWidth',2);
                end
                xlabel('# of visible sats.');
                ylabel('Minimum CN0 (dB-Hz)');
                title(['B = ' num2str(sett.sig.B(ii)/1e6) ' MHz']);
                for kk = Nk1:1
                    str{kk}     =   ['Nsat = ' num2str(sett.M(kk))];
                end
                legend(str);
                grid;
                set(gca,'FontSize',12);
            end
            %
            %--     For given Nsat & Nvis: CN0_vs_Tc for different B
            CN0         =   reshape(out.sens.CN0opt.CN0(:,:,end,end).',NB,NTc);
            figure;plot(sett.sig.Tc*1e3,CN0,'LineWidth',2);
            xlabel('Chirp period (ms)');
            ylabel('CN0 (dB-Hz)');
            title(['Sensitivity analysis for Nsat = ' num2str(sett.M(end)) ' and Nvis = ' num2str(sett.Mvis(end))]);
            grid;
            set(gca,'FontSize',12);
            for ii = 1:NB
                str{ii}     =   [num2str(sett.sig.B(ii)/1e6) ' MHz'];
            end
            legend(str);
            %
        case 2
            NB      =   size(out.sens.Tcopt.Tc,1);
            Nc      =   size(out.sens.Tcopt.Tc,2);
            Nk1     =   size(out.sens.Tcopt.Tc,3);
            Nk2     =   size(out.sens.Tcopt.Tc,4);
            %
            %--     For given B: Tc_vs_Mvis for different CN0 and Nsat
            if(length(sett.Mvis) > 1)
            for jj  = 1:NB
                figure;hold on;
                for kk = 1:Nc
                    Tc1     =   reshape(out.sens.Tcopt.Tc(jj,kk,:,:),Nk1,Nk2).';
                    plot(sett.Mvis,Tc1*1e3,'LineWidth',2);
                end
                xlabel('# of visible sats.');
                ylabel('Minimum Chirp period (ms)');
                title(['B = ' num2str(sett.sig.B(jj)/1e6) ' MHz']);
                for ii = 1:Nk1
                    str{ii}     =   ['Nsat = ' num2str(sett.M(ii))];
                end
                legend(str);
                grid;
                set(gca,'FontSize',12);
            end
            end
            %

            %--     For given Nvis: Tc_vs_CN0 for different B & Nsat
            %
            tmp     =   ['b' 'r' 'k' 'm' 'c' 'w' 'y' 'g'];
            tmp1    =   {'-','--','-.',':'};
            Tc2     =   reshape(out.sens.Tcopt.Tc(:,:,:,end),NB,Nc,Nk1);
%             Tc2     =   reshape(out.sens.Tcopt.Tc(:,:,:,1),NB,Nc,Nk1);
            figure;
            it      =   1;
            for ii = 1:NB

                for jj = 1:Nk1
                    if( sett.sens.flg_nc == 1 )
                        str{it}     =   ['Tcoh = ' num2str(sett.sig.Tc*1e3) ' ms, B = ' num2str(sett.sig.B(ii)/1e6) ' MHz, M = ' num2str(sett.M(jj))];
                    else
                        str{it}     =   ['B = ' num2str(sett.sig.B(ii)/1e6) ' MHz, Nsat = ' num2str(sett.M(jj))];
                    end
                    it          =   it + 1;
                    plot(sett.sens.CN0,reshape(Tc2(ii,:,jj)*1e3,Nc,1),[tmp(ii) tmp1{jj}],'LineWidth',2);
                    hold on;
                end                    

            end
            title(['Sensitivity analysis for Nvis = ' num2str(sett.Mvis(end))]);
            xlabel('CN0 (dB-Hz)');
            ylabel('Minimum Chirp period (ms)');
            grid;
            set(gca,'FontSize',12);
            legend(str);
            %

end