function plotResults_chirpduration(out,set)
      
    L   =   length(set.M);
    M   =   set.M;
    Tc  =   set.sig.Tc;
    
    if L == 1
        figure;
        for ii = 1:M
            if ii == 1
                plot(set.estimation.tau*1e3,out.estimation.tauh.tauh(:,ii)*1e3,'LineWidth',2); 
            else
                hold on;plot(set.estimation.tau*1e3,out.estimation.tauh.tauh(:,ii)*1e3,'LineWidth',2);
            end
        end
        grid;
        xlabel('Time-Delay (ms)');
        ylabel('Estimated Time-Delay (ms)');
        plot(set.estimation.tau*1e3,set.estimation.tau*1e3,'--','LineWidth',2);
        plot(set.estimation.tau*1e3,mod(set.estimation.tau*1e3,Tc*1e3/M),'--','LineWidth',2);
%             legend('Nu=1','Nu=2','Nu=3','\tau');
        legend('User 1','User 3')
        
        if M > 5
            for ii = 1:M
                values(1,ii)  =   max(out.estimation.tauh.tauh(:,M+1-ii)*1e3);
                values(2,ii)  =   set.sig.Tc/ii*1e3;
            end
            figure;plot(1:M,values(1,:));
            hold on; plot(1:M,values(2,:));
            xlabel('Number of users');
            ylabel('Maximum estimated Time-Delay (ms)');
            legend('max(\hat{\tau})','Tc/Nu')
        end
        
    else
        
        for ii = 1:L
            Nu  =   M(ii);
            if Nu == 1
                tauh            =   out.estimation.tauh(ii).tauh(:,1);
                values(1,ii)    =   max(tauh*1e3);
                values(2,ii)    =   Tc*1e3;
            else
                tauh            =   out.estimation.tauh(ii).tauh(:,1);
                values(1,ii)    =   max(tauh(tauh < Tc/2)*1e3);
                values(2,ii)    =   Tc/(2*ii)*1e3;
            end            
        end
        figure; plot(1:M(end),values(1,:));
        hold on; plot(1:M(end),values(2,:));
        xlabel('Number of users');
        ylabel('Maximum estimated Time-Delay (ms)');
        legend('max($\hat{\tau}$)','Tc/(2Nu)')

%         if max(set.M) <= 3
%             for jj = 1:L
%                 M   =   set.M(jj);
%                 figure;
%                 for ii = 1:M
%                     if ii == 1
%                         plot(set.estimation.tau*1e3,out.estimation.tauh(M).tauh(:,M+1-ii)*1e3,'LineWidth',2); 
%                     else
%                         hold on;plot(set.estimation.tau*1e3,out.estimation.tauh(M).tauh(:,M+1-ii)*1e3,'--','LineWidth',2);
%                     end
%                 end
% %                 xlabel('Time-Delay (ms)');
% %                 ylabel('Estimated Time-Delay (ms)');
% %                 plot(set.estimation.tau*1e3,set.estimation.tau*1e3,':','LineWidth',2)
% %                 legend('Nu=1','Nu=2','Nu=3','\tau');
%             end
%         end
%         
%         if max(set.M) > 3
%             M   =   set.M(L)
%             for ii = 1:M
%                 values(1,ii)  =   max(out.estimation.tauh(L).tauh(:,M+1-ii)*1e3);
%                 values(2,ii)  =   set.sig.Tc/(2*ii)*1e3;
%             end
%             figure;plot(1:M,values(1,:));
%             hold on; plot(1:M,values(2,:));
%             xlabel('Number of users (Nu)');
%             ylabel('Maximum estimated Time-Delay (ms)');
%             legend('$max(\hat\tau)$','Tc/(2*Nu)')
    end
%     end
    
end