%   v1.0 # 19-apr-2020 
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Plot frequencies of de-chirped signals
%
function    plotResults_dchirpFreq(out,sett,flg)
    k               =   sett.n;
    N               =   length(k);
    B               =   sett.sig.B;
    mu              =   sett.sig.mu;
    tau             =   sett.tau;
    %
    if( flg == 0 )
        fk          =   out.sig.fkp;
        fkd         =   out.sig.fkn;
        fk_dc       =   out.dchirp.fk_dc;
        fkd_dc      =   out.dchirp.fk_dcn;
    else
        fk          =   out.sig.fkp(1,:);
        fkd         =   out.sig.fkn(1,:);
        fk_dc       =   out.dchirp.fk_dc(1,:);
        fkd_dc      =   out.dchirp.fk_dcn(1,:);
    end
    %
    fp              =   fk+fk_dc;
    idx             =   fp<0;
    fm              =   fkd+fkd_dc;
    %
    mutauh          =   (fm-fp)/(2);
    mutauh(idx)     =   (fm(idx)-(fp(idx)+B))/(2);
    %
    figure;plot((k/(N-1)),fp/1e6,'LineWidth',2);
    hold on;plot((k/(N-1)),fm/1e6,'LineWidth',2);
    plot((k/(N-1)),mutauh/1e6,'LineWidth',2);
    plot((k/(N-1)),ones(N,1)*(mu(1)*tau(1))/1e6,'--','LineWidth',2);
    ylabel('Frequency (MHz)');
    xlabel('Normalized time (t/Ts)');
    hh = legend('De-chirped Up-Chirp ($s_k+f_D-\mu\tau$)',...
                'De-chirped Down-Chirp ($s_k+f_D+\mu\tau$)',...
                '$\mu\hat{\tau}=\frac{f_{dc-}-f_{dc+}}{2}$',...
                '$\mu\tau$');
    set(hh,'Interpreter','latex','FontSize',12);
    grid;
    set(gca,'FontSize',12);
    %
end