function    plotResults_waveform(out,sett,flg)
    
    %-  Init params
    %
    B       =   sett.sig.B;              %   Get signal bandwidth (Hz)
    Tc      =   sett.sig.Tc;             %   Get chirp period (s)
    Fs      =   1;                 %   Get sampling rate (Hz)
    n       =   1;
    M       =   sett.M;                  %   Get number of satellites
    %
    fkp     =   out.BOK.sig.fkp;        %   Get Up-Chirp frequency
    fkn     =   out.BOK.sig.fkn;        %   Get Down-Chirp frequency
    Ck      =   out.BOK.sig.Ck;         %   Get BOK-chirp signals
    %
    k       =   n/Fs;                   %   Time (s)
    %- Initialize figure's legend
    %
    str     =   cell(1,M);
    for ii = 1:M
        str{ii}     =   ['Sat. ' num2str(ii)];
    end
    %-
    %
    %-
    %-  Plot signal waveform
    %
    if flg.plot.sig.waveform
        disp('* Signal waveform');
        figure;
        plot(k/Tc,real(Ck.'),'Linewidth',2);
        xlabel('Normalized time (t/T_c)');
        ylabel('Amplitude');
        set(gca,'FontSize',12); 
        lgd         =   legend;
        lgd.String  =   str;
        grid;   
    end
    %
    %-  
    %- Plot signal frequency
    %
    if flg.plot.sig.freq
        disp('* Signal frequency');
        figure;
        h1          =   plot(k/Tc,fkp.'/B,'LineWidth',2);
        hold on;
        h2          =   plot(k/Tc,fkn.'/B,'--','LineWidth',2);    
        xlabel('Normalized time (t/T_c)');
        ylabel('Frequency (MHz)');
        lgd         =   legend;
        for ii = 1:M
            h2(ii).Color    =   h1(ii).Color;
        end
        lgd.String  =   str;
        grid;
        set(gca,'FontSize',12);
    end
end