% ->    Figure 1
%
C1          =   reshape(C(:,1,end,1),NB,1);
C2          =   reshape(C(:,end,end,1),NB,1);
figure;semilogy(sett.sig.B/1e6,C1,'LineWidth',2);
hold on;semilogy(sett.sig.B/1e6,C2,'LineWidth',2);
if flg_nc
    legend(['Tcoh = ' num2str(Tc1*1e3) ' ms, Nnc = ' num2str(sett.samp.Nnc(1))],['Tcoh = ' num2str(Tc1*1e3) ' ms, Nnc = ' num2str(sett.samp.Nnc(end))]);
else
    legend(['Tc = ' num2str(Tc1*1e3) ' ms'],['Tc = ' num2str(Tc2*1e3) ' ms']);
end
grid on;
set(gca,'fontsize',12);
xlabel('Bandwidth (MHz)');
ylabel('Complexity');
title(['M = ' num2str(sett.M(end))]);
%
% ->    Figure 2
%
B1      =   sett.sig.B(1);
B2      =   sett.sig.B(end);
C1      =   reshape(C(1,:,1,1),NTc,1);
C2      =   reshape(C(end,:,1,1),NTc,1); 
figure;
if ~flg_nc
    semilogy(Tcc1*1e3,C1,'LineWidth',2);
    hold on;semilogy(Tcc2*1e3,C2,'LineWidth',2);
else
    semilogy(Tc1*sett.samp.Nnc*1e3,C1,'LineWidth',2);
    hold on;semilogy(Tc1*sett.samp.Nnc*1e3,C2,'LineWidth',2);
end
legend(['B = ' num2str(B1/1e6) ' MHz'],['B = ' num2str(B2/1e6) ' MHz']);
grid on;
set(gca,'fontsize',12);
xlabel('Chirp period (ms)');
ylabel('Complexity');  
title(['Constellation sizing wrt CN0/time-ambiguity with M = ' num2str(sett.M(1))]);
%
% ->    Figure 3
%
C1      =   reshape(C(1,1,:,1),Nm,1);
C2      =   reshape(C(1,end,:,1),Nm,1);
if ~flg_nc
    str1    =   ['Tc = ' num2str(Tc1*1e3) ' ms'];
    str2    =   ['Tc = ' num2str(Tc2*1e3) ' ms'];
else
    str1    =   ['Tc = ' num2str(Tc1*1e3) '*' num2str(sett.samp.Nnc(1)) 'ms'];
    str2    =   ['Tc = ' num2str(Tc1*1e3) '*' num2str(sett.samp.Nnc(end)) ' ms'];
end
figure;semilogy(sett.M,C1,'LineWidth',2);
hold on;semilogy(sett.M,C2,'LineWidth',2);
legend(str1,str2);
grid on;
set(gca,'fontsize',12);
xlabel('Constellation size');
ylabel('Complexity');   
title(['B = ' num2str(B1/1e6) ' MHz']);
%