%   v1.0 # 29-nov-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%   Sensitivity Analysisis plots
%
fitP        =   out.sens.fitP;
fitPd       =   out.sens.fitPd;
a(:,jj)     =   [fitP.k fitPd.k];
b(:,jj)     =   [fitP.sigma fitPd.sigma];
c(:,jj)     =   [fitP.mu fitPd.mu];
%
h           =   out.sens.h;
Pfah        =   out.sens.Pfah;
Pdh         =   out.sens.Pdh;
Nfft        =   out.sens.Nfft; 

%
if( jj == 1 && kk == 1)
    %-  h -> Whole search space
    %
    idk     =   0;
    if flg.plot.sens.prob
        f1      =   figure;
        semilogy(h,Pfah,'LineWidth',2);      
        hold on;
        f2      =   figure;
        semilogy(h,Pdh,'LineWidth',2);    
        hold on;
    end
    %
    if flg.plot.sens.ROC
        f3      =   figure;
        semilogy(Pfah,Pdh,'LineWidth',2);
        hold on;
    end        
    %
    if( NTc == 1 )
        if flg.plot.sens.prob
            figure(f1);grid; 
            title(['Whole search space [B = ' num2str(B(ii)/1e6) ' MHz, Tc = ' num2str(Tc*1e3) ' ms, CN0 = ' num2str(CN0(kk)) ' dBHz]']);
            xlabel('Detection threshold');
            ylabel('Prob. False Alarm');  
            %
            figure(f2);grid;
            title(['Whole search space (B = ' num2str(B(ii)/1e6) ' MHz, Tc = ' num2str(Tc*1e3) ' ms, CN0 = ' num2str(CN0(kk)) ' dBHz)']);
            xlabel('Detection threshold');
            ylabel('Prob. Detection');
        end
        %
        if flg.plot.sens.ROC
            figure(f3);grid;set(gca,'XScale','log')
            title(['ROC (Whole search space, B = ' num2str(B(ii)/1e6) ' MHz, Tc = ' num2str(Tc*1e3) ' ms, CN0 = ' num2str(CN0(kk)) ' dBHz)']);
            xlabel('Prob. False Alarm');
            ylabel('Prob. Detection');
        end        
    end
elseif( NTc > 1)
    %
    if( kk == 1 )
        str{1}      =   ['Tc = ' num2str(Tc(1)*1e3) ' ms']; 
        str{jj}     =   ['Tc = ' num2str(Tc(jj)*1e3) ' ms'];
    end
    %
    if idk
        if flg.plot.sens.prob
            f1  =   figure;hold on;
            f2  =   figure;hold on;
        end
        if flg.plot.sens.ROC
            f3  =   figure;hold on;
        end
        %
        idk =   0;
    end   
    if flg.plot.sens.prob
        figure(f1);plot(h,Pfah,'LineWidth',2);    
        figure(f2);plot(h,Pdh,'LineWidth',2);  
    end
    if flg.plot.sens.ROC
        figure(f3);semilogy(Pfah,Pdh,'LineWidth',2);    
    end
    %     figure(f33);semilogy(Pfa_cell,Pd_cell,'LineWidth',2);
    %
    if( jj == NTc )
        %
        idk         =   1;        
        %
        if flg.plot.sens.prob
            figure(f1);legend(str);grid; 
            title(['Whole search space (B = ' num2str(B(ii)/1e6) ' MHz & ' num2str(CN0(kk)) ' dBHz)']);
            xlabel('Detection threshold');
            ylabel('Prob. False Alarm');  
            %
            figure(f2);legend(str);grid;
            title(['Whole search space (B = ' num2str(B(ii)/1e6) ' MHz & ' num2str(CN0(kk)) ' dBHz)']);
            xlabel('Detection threshold');
            ylabel('Prob. Detection');
        end
        %
        if flg.plot.sens.ROC
            figure(f3);legend(str);grid;set(gca,'XScale','log')
            title(['ROC (Whole search space, B = ' num2str(B(ii)/1e6) ' MHz & ' num2str(CN0(kk)) ' dBHz)']);
            xlabel('Prob. False Alarm');
            ylabel('Prob. Detection');
        end
        %
    %     figure(f33);legend(str);grid;set(gca,'XScale','log')
        %
%         if flg.plot.sens.params
%             figure;subplot(2,1,1);plot(Tc*1e3,a(1,:));
%             ylabel('a-Param');
%             title('H0 params');
%             grid;
%             subplot(2,1,2);plot(Tc*1e3,b(1,:));
%             xlabel('Chirp time (ms)');
%             ylabel('b-Param');
%             grid;
%             %
%             figure;subplot(2,1,1);plot(Tc*1e3,a(2,:));
%             ylabel('a-Param');
%             title('H1 params');
%             grid;
%             subplot(2,1,2);plot(Tc*1e3,b(2,:));
%             xlabel('Chirp time (ms)');
%             ylabel('b-Param');
%             grid;
%         end
        %
    end
    if( Nc > 1 )      
        if( kk == Nc && jj == NTc)
           fc1     =   figure;hold on;
           for itc = 1:NTc
                semilogy(CN0,Pd(itc,:,1).','LineWidth',2); 
           end
           xlabel('CN0 (dB-Hz)');
           ylabel('Prob. detection');
           title('Search space probability');
           legend(str);
           grid;  
           %
           fc2     =   figure;hold on;
           for itc = 1:NTc
                semilogy(CN0,Pdc(itc,:,1).','LineWidth',2); 
           end
           xlabel('CN0 (dB-Hz)');
           ylabel('Prob. detection (with Pfa)');
           title('Cell probability');
           legend(str);
           grid; 
           %
           Tct          =   nan(Nc,1);
           for id = 1:Nc
               tmp      =   find(Pd(:,id) >= 0.9,1);
               if( ~isempty(tmp) )
                   Tct(id)  =   Tc(tmp);
               end
           end
           
           figure;plot(CN0,Tct*1e3,'LineWidth',2);
           xlabel('CN0 (dB-Hz)');
           ylabel('Chirp period (ms)');
           title('Pd = 0.9 and Pf = 1e-5');
           grid
           set(gca,'FontSize',12);
        else    
           
           
            
        end        
    end
elseif( Nc > 1 )
    str{kk}     =   ['CN0 = ' num2str(CN0(kk)) ' dBHz']; 
    if( kk > 1 )
        figure(f1);plot(h,Pfah,'LineWidth',2);
        figure(f2);plot(h,Pdh,'LineWidth',2);
        figure(f3);semilogy(Pfah,Pdh,'LineWidth',2);
        if( kk == Nc )
            str{1}  =   ['CN0 = ' num2str(CN0(1)) ' dBHz'];
            figure(f1);legend(str);grid; 
            figure(f2);legend(str);grid;
            figure(f3);legend(str);grid;set(gca,'XScale','log')
        end
    end    
end
%
%